Servoy JasperReports Plugin - Feature #232

Support for Monitoring Fill and Export Progress
02/15/2011 02:25 PM - Jeff Bader

Status: Closed Start date: 02/15/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

With the included patch, the JasperReports plugin may now monitor the progress of both (or either) the filling and exporting
processes. Native Servoy callback methods (form or globally scoped) are able to be called from the plugin to update Servoy on the
progress of report generation.

Note: FunctionDefinition was used, which is Servoy 5+.

History

#1 - 02/15/2011 02:25 PM - Jeff Bader

- Status changed from New to Feedback

#2 - 02/16/2011 09:33 PM - Jeff Bader

Further work is necessary on this (quite a lot actually), and an updated patch will be created shortly (I hope), however without a plugin refactoring it
might not be possible to have callbacks for non-foundset-datasource report calls. Investigating further...

#3 - 03/11/2013 09:57 AM - Andrei Costache

- Status changed from Feedback to Closed

- Client type set to Smart client

- In developer? set to No

- Servoy version set to Servoy 5.2.x+

- Component version set to Plugin version 3.3.x and above
- OS version set to Any

- Java version set to 1.6 and above

Please reopen providing the updated patch when possible.

Regards,

Andrei

Files

patch.diff 25.9 KB 02/15/2011 Jeff Bader
jasper16x16.gif 80 Bytes 02/15/2011 Jeff Bader
